import Inspect from 'vite-plugin-inspect'
import { defineConfig } from 'vite'
import { projRoot } from './.vitepress/utils/paths'

export default defineConfig({
  server: {
    host: true,
    fs: {
      strict: true,
      allow: [projRoot],
    },
  },

  plugins: [Inspect()],
  optimizeDeps: {
    include: ['vue', 'markdown-it', 'clipboard-copy', 'axios', 'nprogress'],
  },
})
